local hcTk = HCToolkit
local GetSpecialization = GetSpecialization
local GetSpecializationInfo = GetSpecializationInfo

local specTable = {
    [62] = "RangedDPS",
    [63] = "RangedDPS",
    [64] = "RangedDPS",
    [65] = "Healer",
    [66] = "Tank",
    [70] = "MeleeDPS",
    [71] = "MeleeDPS",
    [72] = "MeleeDPS",
    [73] = "Tank",
    [102] = "RangedDPS",
    [103] = "MeleeDPS",
    [104] = "Tank",
    [105] = "Healer",
    [250] = "Tank",
    [251] = "MeleeDPS",
    [252] = "MeleeDPS",
    [253] = "RangedDPS",
    [254] = "RangedDPS",
    [255] = "MeleeDPS",
    [256] = "Healer",
    [257] = "Healer",
    [258] = "RangedDPS",
    [259] = "MeleeDPS",
    [260] = "MeleeDPS",
    [261] = "MeleeDPS",
    [262] = "RangedDPS",
    [263] = "MeleeDPS",
    [264] = "Healer",
    [265] = "RangedDPS",
    [266] = "RangedDPS",
    [267] = "RangedDPS",
    [268] = "Tank",
    [269] = "MeleeDPS",
    [270] = "Healer",
    [577] = "MeleeDPS",
    [581] = "Tank"
}

function hcTk.SpecializationGetRole(specId)
    return specTable[specId] or "DPS"
end

function hcTk.SpecializationForPlayer()
    return GetSpecializationInfo(GetSpecialization())
end

function hcTk.SpecializationSend(guid)
    -- Support Sending By Whisper
    local data = {}
    data["guid"] = guid
    data["specId"] = hcTk.SpecializationForPlayer()
    data["type"] = "SpecializationSend"

    hcTk.DebugPrint("Sending Spec " .. data["guid"] .. " | " .. data["specId"])

    hcTk:SendCommMessage("HCToolkitRoster", hcTk:Serialize(data), "RAID")
end

function hcTk.SpecializationRequest()
    local data = {}
    data["type"] = "SpecializationRequest"

    hcTk.DebugPrint("Requesting Spec")

    hcTk:SendCommMessage("HCToolkitRoster", hcTk:Serialize(data), "RAID")
end